package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BeanKommune extends Bean {

    private String kommnavn;
    private String valgdistriktnr; // overskriver superklasse - her er dette feltet ikke en nøkkel!
    private boolean ssammenlignbar;
    private boolean nssammenlignbar;

    @Override
    public String getKey() {
        return makeKey(getValgaar(), getValgtype(), getKommnr());
    }

    public static String makeKey(int valgaar, String valgtype, String kommnr) {
        return valgaar + valgtype + kommnr;
    }

}
